net.sourceforge.jnlp.runtime

## Class AppletAudioClip

- java.lang.Object
- - net.sourceforge.jnlp.runtime.AppletAudioClip

- All Implemented Interfaces:
    java.applet.AudioClip

      public class AppletAudioClip
      extends java.lang.Object
      implements java.applet.AudioClip

  An applet audio clip using the javax.sound API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppletAudioClip(java.net.URL location)` Creates new AudioClip.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `loop()` Plays the clip in a continuous loop until the stop method is called.
    `void` | `play()` Plays the clip from the beginning.
    `void` | `stop()` Stops playing the clip.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppletAudioClip

          public AppletAudioClip(java.net.URL location)

      Creates new AudioClip. If the clip cannot be opened no exception is thrown, instead the methods of the AudioClip return without performing any operations.
      Parameters:
        `location` - the clip location

  - ### Method Detail

    - #### loop

          public void loop()

      Plays the clip in a continuous loop until the stop method is called.
      Specified by:
        `loop` in interface `java.applet.AudioClip`

    - #### play

          public void play()

      Plays the clip from the beginning.
      Specified by:
        `play` in interface `java.applet.AudioClip`

    - #### stop

          public void stop()

      Stops playing the clip.
      Specified by:
        `stop` in interface `java.applet.AudioClip`

Submit a bug or feature